## flatboat 0.5

=== Makefile ===
#############################################################################
# Makefile for building: flatboat
# Generated by qmake (2.01a) (Qt 4.7.4) on: Di. Sep 4 12:17:19 2012
# Project:  flatboat.pro
# Template: app
# Command: /opt/QtSDK/Madde/targets/harmattan-nokia-meego-api/bin/qmake CONFIG+=harmattan -o Makefile flatboat.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_DECLARATIVE_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -g -Wno-psabi -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -g -Wno-psabi -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/linux-g++-maemo -I. -I/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/include/qt4/QtCore -I/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/include/qt4/QtGui -I/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/include/qt4/QtDeclarative -I/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/include/qt4 -I../mupdf-git/fitz -Iqmlapplicationviewer -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/lib /home/frafl/Code/C/flatboat/flatboat/../mupdf-git/build/debug-harmattan/libfitz.a /home/frafl/Code/C/flatboat/flatboat/../mupdf-git/build/debug-harmattan/libjpeg.a /home/frafl/Code/C/flatboat/flatboat/../mupdf-git/build/debug-harmattan/libjbig2dec.a /home/frafl/Code/C/flatboat/flatboat/../mupdf-git/build/debug-harmattan/libopenjpeg.a /home/frafl/Code/C/flatboat/flatboat/../mupdf-git/build/debug-harmattan/libfreetype.a -lz -lQtDeclarative -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/QtSDK/Madde/targets/harmattan-nokia-meego-api/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		qpdfimage.cpp \
		qmlapplicationviewer/qmlapplicationviewer.cpp moc_qmlapplicationviewer.cpp \
		moc_qpdfimage.cpp \
		qrc_resources.cpp
OBJECTS       = main.o \
		qpdfimage.o \
		qmlapplicationviewer.o \
		moc_qmlapplicationviewer.o \
		moc_qpdfimage.o \
		qrc_resources.o
DIST          = /opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/common/g++.conf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/common/unix.conf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/common/linux.conf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/qconfig.pri \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		qmlapplicationviewer/qmlapplicationviewer.pri \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/release.prf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/qt.prf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/moc.prf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/resources.prf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/uic.prf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/lex.prf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		flatboat.pro
QMAKE_TARGET  = flatboat
DESTDIR       = 
TARGET        = flatboat

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: flatboat.pro  /opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/linux-g++-maemo/qmake.conf /opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/common/g++.conf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/common/unix.conf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/common/linux.conf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/qconfig.pri \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		qmlapplicationviewer/qmlapplicationviewer.pri \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/release.prf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/qt.prf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/moc.prf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/resources.prf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/uic.prf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/lex.prf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/lib/libQtDeclarative.prl \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/lib/libQtGui.prl \
		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/lib/libQtCore.prl
	$(QMAKE) CONFIG+=harmattan -o Makefile flatboat.pro
/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/common/g++.conf:
/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/common/unix.conf:
/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/common/linux.conf:
/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/qconfig.pri:
/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/qt_functions.prf:
/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
qmlapplicationviewer/qmlapplicationviewer.pri:
/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/release.prf:
/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/default_post.prf:
/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/warn_on.prf:
/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/qt.prf:
/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/unix/thread.prf:
/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/moc.prf:
/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/resources.prf:
/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/uic.prf:
/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/yacc.prf:
/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/lex.prf:
/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/lib/libQtDeclarative.prl:
/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/lib/libQtGui.prl:
/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) CONFIG+=harmattan -o Makefile flatboat.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/flatboat1.0.0 || $(MKDIR) .tmp/flatboat1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/flatboat1.0.0/ && $(COPY_FILE) --parents qmlapplicationviewer/qmlapplicationviewer.h qpdfimage.h .tmp/flatboat1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/flatboat1.0.0/ && $(COPY_FILE) --parents main.cpp qpdfimage.cpp qmlapplicationviewer/qmlapplicationviewer.cpp .tmp/flatboat1.0.0/ && (cd `dirname .tmp/flatboat1.0.0` && $(TAR) flatboat1.0.0.tar flatboat1.0.0 && $(COMPRESS) flatboat1.0.0.tar) && $(MOVE) `dirname .tmp/flatboat1.0.0`/flatboat1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/flatboat1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qmlapplicationviewer.cpp moc_qpdfimage.cpp

=== debian/control ===
Source: flatboat
Section: user/multimedia 
Priority: extra
Maintainer: Frank Fuhlbrück <frafl@justmail.de>
Build-Depends: debhelper (>= 5), libqt4-dev, libx11-dev, libjpeg7-dev, libfreetype6-dev, zlib1g-dev, x11proto-core-dev,libopenjpeg-dev-mupdf, libjbig2dec-dev-mupdf, libmupdf-dev
Standards-Version: 3.7.3
Homepage: https://gitorious.org/flatboat

Package: flatboat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: mupdf
Description: modern computer flatboat is a viewer for the portable document format
# XB-Maemo-Icon-26 field contains the application icon file encoded in
# base64. This is the icon that is shown in the Application Manager,
# next to the package name. To perform this encoding use following mad
# command: $ mad base64 <48x48 icon file name>
# For example following XB-Maemo-Icon-26 field content is an output
# from command: $ mad base64 maemexmpl/src/data/48x48/maemexmpl.png
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz
 AAABGAAAARgBIE5viAAAABl0RVh0U29mdHdhcmUAd3d3Lmlua3NjYXBlLm9yZ5vuPBoAAAyKSURB
 VGiBzZlrbFzHdcd/Z+7dXe5yubtcPiRKFEVJFvV+2ZJsObUs2aqtpEnTpvaHuEhc2EUSBDXSFGja
 BGhRG0nRR9qkqdvUMZIWaZOiaaO2iZW6iORIshzLlvWwLUu2TJsURYpk+F6S+7r3zumH5VMkJTIS
 4v4BgnvnzpzzP3POnDkzV1SVqfjkKULpoeHfFHQnynaQjaBh3hv4oG8I5hVV+0q+fPhf/npXfW5q
 B5lqwB//ZHSLH/j/hMimXzjVeUHeMo4++sU9iRPjLWb8x+cPDT7i2+DE/1/yALrGBhz7wqHM7463
 iKryuR9nVruG00D0PWS3EPjiOHd8aU/5WUfkT4xdnj8gyMr3mtUCYFB7x/cGyr7lFn9p5G5B3nez
 NVRGRNYkXDEitGcDbRsJ9PqjFgLZnB4a/qCrBDtAbqrodSlXdlSHjTMmdk3SlQuDnp7o8ezN1CPK
 dhfk1pspdFM6JNurQubq9nWpkOQtcrbPm7cncsN5+tv6xS/6+F6A9S0rtjeqG3bGeuhtrqquF7k5
 HthQOTt5gGJ2gM0VMTPsufadjH9NIwa7Mjz3jWOm8+0u4aqeNY3V+sHfv9/GklGAda6Icbi618+B
 jZUh2VE9k7yXG+Sd557k7SNPYSXEstsfMtu2fEx7Y41a5goN5Y4sKjOiwPHuon35VAfP/NX/mmLO
 m1VPT2uvHH7qqPnQ5/ZbEFc+fyjzBuiaGyE/W9j4+Qytx77Ou0e/TmE0g2/Bt1r6r8Kipt003f0o
 DVvfjzFuiVx/lgc++l1GB7PX1fkrn/1l23hbY5cLpVjLDeUkXV+5IFcURotEOnuNWRSVfqkknY7h
 F0Zoe/4pWo/+HV5uiFlzjypXLhyh7Y0jRBKLWbP7YdbtfpgnHj85L/IALWfapPG2RuSRp5rf+f7j
 P1jphl0e+osHgni6/LqDh7oyHPv2i+byuXZRW2JYEbU89qtXSA/9J8VsP2gpMAOFINDpHrAQWJ3h
 lUtDa3l7aCdd2VXMlRlDIYdPfeIO7t23GknF8+7LB05Xq1W8vMeFIxdlx0e2XdML5358Xo5/5yUT
 +EFJoOOxa8kr3L3sOLGuLPPPMVdBLfXx8yyNn2e4WEXz0A5ahm+lGMQmuqTTMZ78mw/T1FRTGqKU
 uaMD2dB4h+G+EWGOFW19y5F/fMFcOPqWALjG544lp9jbcJzy0CigNyEVlBAP9bG1+lk2pg9xeWQT
 zUM7IdbEP/z9R1i5Ij3JSRXXcc2E3szPhmcVmB3K8T9fOWS6mrvFNQE7605zT8NxKiKl/nqT99hx
 OOKzvOIMDfGzpOs3kHk3RLHuQcJlpTAXEZX7P3Os88V/O7kYIBIL89vf+HgwVUjba+3y3NPHTH5w
 hB1LznDv8udJRjITMT5pwJgHxtsXugasEtjSmPEJUR1/lonncLSC+o33sf+3vkQ8Xadmwz3rBiOx
 0nmlkC1y8sAZAeht7ZXnnn7eHPzLH5kN0Rf4g11P8htrDpKKZBY8k76FkaKS8xR7A97yAhj0orx4
 9EdUVNaWQihSHrFbP7DJvvQfpwzAywdOmXOHz5PPZLlt8Wv84a5jpMsGGJvUBaEYwEhByfsl4oEt
 xa3I2EFkngVAYCFvEvQND2GHOtm0cz/GOHhW1cVitm3fIhvq11E6nVm6j3+VLeHvUx3rA3TBMe4F
 kPUsBb+kfDZCni2FV6mMmV2BVRgNwmRGAzx/YIJH05a7ACj4WJc+rXQyRqKxCPH+g6Q7vsKmyuZp
 MT5f+FYoeJZiwOwb2CwILFgrWATUgpT0juYhUwzheflpE1hRdzu66EGaL/skqo11GaECIPLapykb
 fYmw07dA4oIFvEDxAp038auhWjIk6ykjnovveagWpvWpanqAlfv+lo4Bh46BIjt2hNXFqoBQ9H3e
 bOvEjS2hOlXOEucSrjOHNoCxCjawSmAXHmZXo+grmYKh4PmozizkTChGw/seR2SS1OXuAHfiKbkZ
 eAZv9ApXRqFDXKKpJdSXDZCO5CfXmxiMgKji34QNwAtgMKvkPIvq3OedRRsfJRSrmdbWnQ+KLqVK
 FpJbp4+wPtn+Ni4qONEKFpVb6uIe8dBYRrlB7oGF/qxlpAh6vdwqhsW3/s7MdodgwgOa3DzneD83
 THtWudwDqahhccJQVX6t+JobVmEgaxnMCXYO4k5sDZH6z+Km9hLkmvG6v4kbqZzRT0MyaQChJE68
 EX+49ZoEBrKW/qzFMT7VcUNN3CEauuaQkjJgKKf0Z8EPdM7KySnfQGzd9xC3RNiNb8Mt/yrZjBJL
 CMVCkeYLLdQuqaG6qcpzpw5201uua8A4AgtdQ5bOIUs0JFSVG1IxM+veNJxXekYsRf/6BV+06VsT
 5CcgLj2XLYtXWQ788w/p7xkgUVnBQ3c+oNMNqNwCl/57XgZMRbaojBYD2gYCkmVCKmqIRUrtXRkl
 W5zfZYQp34CJLJv1XeDDhdPt9PeUqoLMwDA9l/rcGR64EajCYE4ZyAYYA36wsM3QTdx1zfd93UPT
 np2QmUyjqsr5lgjnOz5F0UaJu72sTR2lKtK2ICPGMVsJMaELQ29hLYUgTshkiTsdRJwBrlccJZOT
 aTRRW0GytqLCBSgWPJ49cIjLLR3AUgBGvDRdudWsTR1lferwz2XEbMgG1bw68DC5ID2tPWRGqQtF
 WFGdIVaemN2AVA0iBlXL8i3LUM9xXVBePHJyjPzVEN4c3IMrRVYnjt0w+aIt50z/oxTsTIKeLaet
 Ey53HaC2dhmNKzaQrlo8o58xQhBAzfIagpwj7vDwqH3j9IVrKj43cB8RM8Ky+Olp7Zr6NWzlg2h0
 PUgZ2CxIBHHiiNeJjr6G7fwymrsIQOvonlnJT5OpSnd3G93dbSQSaRbXNZJM1RCPJ3n3nXMEQem8
 VdNQgxis258ZKF79lWY2nO7/dRxToC76BkgIv/HbaHz39E7OFHLhBiTcgJPaD62Pke89REdu53X1
 TEUm008m0z/ru3C4DCeMb4gzPL52QhGXlbctp379khkDVIWTvR+lPf6IBku+OJP8XBAXp+HP6Szu
 xU7P2j83ysrKES9MOGEK7vKtDaPv/8w+23K6TXY/fKeEIiUlfW39PPu1wwx2TaYuVTh1fqWsWLmW
 NZUWkVmvQWdATQXtuTu5GVeYAJu33FU6CDnqGYCV2xv13k/sniAPUNWQ5oEnPkxqcXKGgJZ3X+eF
 4z9gcLBnXgp7e9rJFRZG3jiG2hXVrN61ahqH1U3bqKquw4miqEyUEhMJOOYKqbChECh9hLn/k/s5
 +vRL9HS3EwT+hKDhzAAnfnqQpfWraVi+hmSyelYi1gY0v/3qgsgnFyX4wO/dR3ppqtSgcPqZ1xh9
 q4ylS1cBEE6IBXDB5pBSMGxMhdhSFcIdM6e/YDnoC9u27SUIfDqvtHDp0gUyQ30luaq0X75I++WL
 VFRUsrR+NUvrVxEOl429t5w9c3Sap5LVScLxkLphl9KfgxNy8HNKrjcQ61mqGpKT5Mem99YPbaZv
 iWXoohKtE3WigGhWvnB4+DsVrj50T12EysjMmO4etTz1tSzelDvDwcEe2lov0NXdRuBPPz2JGGpr
 6ymPJ+lob6ZQKH3WrV3UwC2rt5JKVxFfIZpYKaoBFPph5JJKoV+nbcOVmwyVG6fvzGqh5yVLskls
 JC1g9L/kmy+PHL69JnxP2My9jb/5ts93/zU3YwlaG9Dzs3Y6r7TQ19dJsZifYUxdXSMrVm0kkaia
 U/5cWHq/IZKeg5diEf0jOXGxOJiOyMyVehVeP+/xw4MFcjmlptqwpsllUa2h44rlxMvFkky1FAo5
 CvkcxnGIRuO47jwOC3MgcYtQvWPOTBeomn0uMK+j1ab1ITatD+H5EJqSzrduLj0//9MiIoaysnLK
 yiav6J0ILLqrRKLQB8MtSnFwfhkpf40kJ8qzf7ovfsR1ZGGfKEOz7EV790RovxLQ0hrMeFd7p6Gs
 pqSirAaSa4XCgDL0pjLSem1D5BpTGxB8GsDIAg2YDSEXPvZQjKZbplsXqoDo4pniI5VC7S5D/X5D
 tG7yvQlBWbVookm0ZqexdXvNeFFeujJULEIPwsf/bF9lG4CcfaeYiblScaNGAFgLF97yOfuqx8Vm
 n9RmQ2rd9efH+oDFmvCMPHH1veO/Fx157Mt7KnonOrzZ6v3EKqsVHEekaARrVSMWIlY1okoIGHNU
 KdWJEQQdd974R1oRGdOoSCav3oFXcyN5X404WHGx4kpgXKwJiy9mSgWpCiKeCJ4ieVSzAIp6Bjln
 1Z4KhUMnn9hd/vrVxv8fCj+46tkc/t8AAAAASUVORK5CYII=

## flatboat 0.6

=== debian/changelog ===
flatboat (0.6) unstable; urgency=low
  * history improved: multiple files, switch to nth last file with keys 1-9
  * history improved: mode and vertical position are saved and restored
  * please delete ~/.config/Unkown Organization.conf, flatboat saves to its own file now
  * internal pdf links work (draw rectangles around them with L)
  * Keyboard shortcuts for nearly every function (see help (H))
  * menu bars now show after long click or double click or key M only
  * upper and lower tap zones are visible and smaller now

 -- Frank Fuhlbrück <frafl@justmail.de>  Sat, 08 Sep 2012 11:22:49 +0200

flatboat (0.5) unstable; urgency=low
  * first release

 -- Frank Fuhlbrück <frafl@justmail.de>  Sat, 01 Sep 2012 23:37:44 +0200

## flatboat 0.7

=== debian/changelog ===
flatboat (0.7) unstable; urgency=low
  * ink annotations (reading and writing)
  * an in-document history: If you followed a link or jumped to the literature section, you can press backspace go to the page you were before.
  * table of contents (outline) can be displayed
  * "last files" screen shows title and author
  * external links should work now
  * additional zoom options (fit height, width or page or stretch)
  * some nice icons instead of text
  * view follows the highlighted phrase

 -- Frank Fuhlbrück <frafl@justmail.de>  Fri, 28 Sep 2012 13:20:00 +0200

## flatboat 0.8.20

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: flatboat
-# Generated by qmake (2.01a) (Qt 4.7.4) on: Di. Sep 4 12:17:19 2012
+# Generated by qmake (2.01a) (Qt 4.7.4) on: Di. Nov 6 18:44:22 2012
 # Project:  flatboat.pro
 # Template: app
 # Command: /opt/QtSDK/Madde/targets/harmattan-nokia-meego-api/bin/qmake CONFIG+=harmattan -o Makefile flatboat.pro
@@ -13,7 +13,7 @@
 DEFINES       = -DQT_NO_DEBUG -DQT_DECLARATIVE_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -pipe -O2 -g -Wno-psabi -Wall -W -D_REENTRANT $(DEFINES)
 CXXFLAGS      = -pipe -O2 -g -Wno-psabi -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -I/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/linux-g++-maemo -I. -I/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/include/qt4/QtCore -I/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/include/qt4/QtGui -I/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/include/qt4/QtDeclarative -I/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/include/qt4 -I../mupdf-git/fitz -Iqmlapplicationviewer -I.
+INCPATH       = -I/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/linux-g++-maemo -I. -I/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/include/qt4/QtCore -I/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/include/qt4/QtGui -I/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/include/qt4/QtDeclarative -I/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/include/qt4 -I../mupdf-git/fitz -I../mupdf-git/pdf -Iqmlapplicationviewer -I.
 LINK          = g++
 LFLAGS        = -Wl,-O1
 LIBS          = $(SUBLIBS)  -L/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/lib /home/frafl/Code/C/flatboat/flatboat/../mupdf-git/build/debug-harmattan/libfitz.a /home/frafl/Code/C/flatboat/flatboat/../mupdf-git/build/debug-harmattan/libjpeg.a /home/frafl/Code/C/flatboat/flatboat/../mupdf-git/build/debug-harmattan/libjbig2dec.a /home/frafl/Code/C/flatboat/flatboat/../mupdf-git/build/debug-harmattan/libopenjpeg.a /home/frafl/Code/C/flatboat/flatboat/../mupdf-git/build/debug-harmattan/libfreetype.a -lz -lQtDeclarative -lQtGui -lQtCore -lpthread 
@@ -45,14 +45,22 @@
 
 SOURCES       = main.cpp \
 		qpdfimage.cpp \
+		sethist.cpp \
+		qappintentactivity.cpp \
 		qmlapplicationviewer/qmlapplicationviewer.cpp moc_qmlapplicationviewer.cpp \
 		moc_qpdfimage.cpp \
+		moc_sethist.cpp \
+		moc_qappintentactivity.cpp \
 		qrc_resources.cpp
 OBJECTS       = main.o \
 		qpdfimage.o \
+		sethist.o \
+		qappintentactivity.o \
 		qmlapplicationviewer.o \
 		moc_qmlapplicationviewer.o \
 		moc_qpdfimage.o \
+		moc_sethist.o \
+		moc_qappintentactivity.o \
 		qrc_resources.o
 DIST          = /opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/common/g++.conf \
 		/opt/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/qt4/mkspecs/common/unix.conf \
@@ -158,7 +166,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/flatboat1.0.0 || $(MKDIR) .tmp/flatboat1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/flatboat1.0.0/ && $(COPY_FILE) --parents qmlapplicationviewer/qmlapplicationviewer.h qpdfimage.h .tmp/flatboat1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/flatboat1.0.0/ && $(COPY_FILE) --parents main.cpp qpdfimage.cpp qmlapplicationviewer/qmlapplicationviewer.cpp .tmp/flatboat1.0.0/ && (cd `dirname .tmp/flatboat1.0.0` && $(TAR) flatboat1.0.0.tar flatboat1.0.0 && $(COMPRESS) flatboat1.0.0.tar) && $(MOVE) `dirname .tmp/flatboat1.0.0`/flatboat1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/flatboat1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/flatboat1.0.0/ && $(COPY_FILE) --parents qmlapplicationviewer/qmlapplicationviewer.h qpdfimage.h sethist.h qappintentactivity.h .tmp/flatboat1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/flatboat1.0.0/ && $(COPY_FILE) --parents main.cpp qpdfimage.cpp sethist.cpp qappintentactivity.cpp qmlapplicationviewer/qmlapplicationviewer.cpp .tmp/flatboat1.0.0/ && (cd `dirname .tmp/flatboat1.0.0` && $(TAR) flatboat1.0.0.tar flatboat1.0.0 && $(COMPRESS) flatboat1.0.0.tar) && $(MOVE) `dirname .tmp/flatboat1.0.0`/flatboat1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/flatboat1.0.0
 
 
 clean:compiler_clean 
@@ -169,14 +177,3 @@
 ####### Sub-libraries
 
 distclean: clean
-	-$(DEL_FILE) $(TARGET) 
-	-$(DEL_FILE) Makefile
-
-
-check: first
-
-mocclean: compiler_moc_header_clean compiler_moc_source_clean
-
-mocables: compiler_moc_header_make_all compiler_moc_source_make_all
-
-compiler_moc_header_make_all: moc_qmlapplicationviewer.cpp moc_qpdfimage.cpp
